# Amuse: amuse::IBackendVoiceAllocator Class Reference

amuse::IBackendVoiceAllocator Class Referenceabstract

`#include <IBackendVoiceAllocator.hpp>`

Inheritance diagram for amuse::IBackendVoiceAllocator:
Collaboration diagram for amuse::IBackendVoiceAllocator:

## Public Member Functions

virtual std::unique_ptr< IBackendVoice > | allocateVoice (Voice &clientVox, double sampleRate, bool dynamicPitch)=0
virtual std::unique_ptr< IBackendSubmix > | allocateSubmix (Submix &clientSmx)=0
virtual AudioChannelSet | getAvailableSet ()=0
virtual void | pumpAndMixVoices ()=0

## Detailed Description

Client-implemented voice allocator

Definition at line 24 of file IBackendVoiceAllocator.hpp.

## Member Function Documentation

virtual std::unique_ptr<IBackendSubmix> amuse::IBackendVoiceAllocator::allocateSubmix | ( | Submix & | clientSmx | ) |

pure virtual

Amuse obtains a new submix from the platform this way

Implemented in amuse::BooBackendVoiceAllocator.

virtual std::unique_ptr<IBackendVoice> amuse::IBackendVoiceAllocator::allocateVoice | ( | Voice & | clientVox,
|  | double | sampleRate,
|  | bool | dynamicPitch
| ) |  |

pure virtual

Amuse obtains a new voice from the platform this way

Implemented in amuse::BooBackendVoiceAllocator.

virtual AudioChannelSet amuse::IBackendVoiceAllocator::getAvailableSet | ( |  | ) |

pure virtual

Amuse obtains speaker-configuration from the platform this way

Implemented in amuse::BooBackendVoiceAllocator.

virtual void amuse::IBackendVoiceAllocator::pumpAndMixVoices | ( |  | ) |

pure virtual

Amuse flushes voice samples to the backend this way

Implemented in amuse::BooBackendVoiceAllocator.

The documentation for this class was generated from the following file:

- include/amuse/IBackendVoiceAllocator.hpp